{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "hmsoft5": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist",
            "index": "src/index.html",
            "main": "src/main.ts",
            "tsConfig": "src/tsconfig.app.json",
            "polyfills": "src/polyfills.ts",
            "assets": [
              "src/assets",
              "src/favicon.ico"
            ],
            "styles": [
              "src/app/core/preloader/preloader.scss",
              "src/styles.scss",

              "src/assets/common/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css",
			  "src/assets/common/bootstrap-datepicker-1.6.4/css/bootstrap-datepicker.min.css",
			  "node_modules/cropperjs/dist/cropper.min.css"
            ],
            "scripts": [
			  "node_modules/jquery/dist/jquery.js",
			  "node_modules/cropperjs/dist/cropper.js",
              "src/app/core/preloader/preloader.js",
              "node_modules/popper.js/dist/umd/popper.js",
              "node_modules/chart.js/dist/Chart.bundle.js",
              "node_modules/jqcloud2/dist/jqcloud.js",
              "node_modules/bootstrap/js/dist/util.js",
              "node_modules/bootstrap/js/dist/modal.js",
              "node_modules/bootstrap/js/dist/dropdown.js",
              "node_modules/bootstrap/js/dist/tooltip.js",
              "node_modules/summernote/dist/summernote.js",
              "node_modules/moment/min/moment-with-locales.min.js",
              "node_modules/fullcalendar/dist/fullcalendar.js",

              "src/assets/common/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js",
              "src/assets/common/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js"	,

              "src/assets/common/bootstrap-datepicker-1.6.4/js/bootstrap-datepicker.min.js",
              "src/assets/common/bootstrap-datepicker-1.6.4/locales/bootstrap-datepicker.zh-CN.min.js",	
              "src/assets/common/jquery-webcam/webcam.js",
              "src/assets/common/echarts.min.js"
            ]
          },
          "configurations": {
            "production": {
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ]
            },
            "hmr": {
              "fileReplacements": [
               {
                "replace": "src/environments/environment.ts",
                "with": "src/environments/environment.hmr.ts"
               }
              ]
             }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "hmsoft5:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "hmsoft5:build:production"
            },
            "hmr": {
              "hmr": true,
              "browserTarget": "hmsoft5:build:hmr"
             }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "hmsoft5:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "karmaConfig": "./karma.conf.js",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "scripts": [
              "node_modules/jquery/dist/jquery.js",
              "src/app/core/preloader/preloader.js",
              "node_modules/popper.js/dist/umd/popper.js",
              "node_modules/flot/jquery.flot.js",
              "node_modules/jquery.flot.tooltip/js/jquery.flot.tooltip.js",
              "node_modules/flot/jquery.flot.resize.js",
              "node_modules/flot/jquery.flot.pie.js",
              "node_modules/flot/jquery.flot.time.js",
              "node_modules/flot/jquery.flot.categories.js",
              "node_modules/jquery.flot.spline/jquery.flot.spline.js",
              "node_modules/jquery-sparkline/jquery.sparkline.js",
              "node_modules/chart.js/dist/Chart.bundle.js",
              "node_modules/jqcloud2/dist/jqcloud.js",
              "node_modules/bootstrap/js/dist/util.js",
              "node_modules/bootstrap/js/dist/modal.js",
              "node_modules/bootstrap/js/dist/dropdown.js",
              "node_modules/bootstrap/js/dist/tooltip.js",
              "node_modules/summernote/dist/summernote.js",
              "node_modules/moment/min/moment-with-locales.min.js",
              "node_modules/fullcalendar/dist/fullcalendar.js"
            ],
            "styles": [
              "src/app/core/preloader/preloader.scss",
              "src/styles.scss"
            ],
            "assets": [
              "src/assets",
              "src/favicon.ico"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "src/tsconfig.app.json",
              "src/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "hmsoft5-e2e": {
      "root": "",
      "sourceRoot": "",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "./e2e/protractor.conf.js",
            "devServerTarget": "hmsoft5:serve"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "e2e/tsconfig.e2e.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "defaultProject": "hmsoft5",
  "schematics": {
    "@schematics/angular:component": {
      "prefix": "app",
      "styleext": "scss"
    },
    "@schematics/angular:directive": {
      "prefix": "app"
    }
  }
}
